Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.wowza.wms.plugin.integration.liverecord
Class LiveStreamRecordActionNotifier

    Object
      com.wowza.wms.plugin.integration.liverecord.LiveStreamRecordActionNotifier

All Implemented Interfaces:
  com.wowza.wms.stream.IMediaStreamActionNotify

    public class LiveStreamRecordActionNotifier

extends Object
implements com.wowza.wms.stream.IMediaStreamActionNotify

Method Summary
`void` | `onPause(com.wowza.wms.stream.IMediaStream stream, boolean isPause, double location)`
`void` | `onPlay(com.wowza.wms.stream.IMediaStream stream, String streamName, double playStart, double playLen, int playReset)`
`void` | `onPublish(com.wowza.wms.stream.IMediaStream stream, String streamName, boolean isRecord, boolean isAppend)`
`void` | `onSeek(com.wowza.wms.stream.IMediaStream stream, double location)`
`void` | `onStop(com.wowza.wms.stream.IMediaStream stream)`
`void` | `onUnPublish(com.wowza.wms.stream.IMediaStream stream, String streamName, boolean isRecord, boolean isAppend)`

Methods inherited from class Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### onPause

    public void onPause(com.wowza.wms.stream.IMediaStream stream,
                        boolean isPause,
                        double location)

  Specified by:
    `onPause` in interface `com.wowza.wms.stream.IMediaStreamActionNotify`

### onPlay

    public void onPlay(com.wowza.wms.stream.IMediaStream stream,
                       String streamName,
                       double playStart,
                       double playLen,
                       int playReset)

  Specified by:
    `onPlay` in interface `com.wowza.wms.stream.IMediaStreamActionNotify`

### onPublish

    public void onPublish(com.wowza.wms.stream.IMediaStream stream,
                          String streamName,
                          boolean isRecord,
                          boolean isAppend)

  Specified by:
    `onPublish` in interface `com.wowza.wms.stream.IMediaStreamActionNotify`

### onSeek

    public void onSeek(com.wowza.wms.stream.IMediaStream stream,
                       double location)

  Specified by:
    `onSeek` in interface `com.wowza.wms.stream.IMediaStreamActionNotify`

### onStop

    public void onStop(com.wowza.wms.stream.IMediaStream stream)

  Specified by:
    `onStop` in interface `com.wowza.wms.stream.IMediaStreamActionNotify`

### onUnPublish

    public void onUnPublish(com.wowza.wms.stream.IMediaStream stream,
                            String streamName,
                            boolean isRecord,
                            boolean isAppend)

  Specified by:
    `onUnPublish` in interface `com.wowza.wms.stream.IMediaStreamActionNotify`

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD